cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Paulo Motta (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CASSANDRA-8928) Add downgradesstables
Date Thu, 24 Mar 2016 14:03:25 GMT

    [ https://issues.apache.org/jira/browse/CASSANDRA-8928?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15210268#comment-15210268
] 

Paulo Motta commented on CASSANDRA-8928:
----------------------------------------

bq. Regarding OldFormatIterator and OldFormatDeserializer, I am trying to find them on Git
repository but I didn't find anything

[OldFormatIterator|https://github.com/apache/cassandra/search?q=OldFormatIterator] and [OldFormatDeserializer|https://github.com/apache/cassandra/search?q=OldFormatDeserializer]
;-)

bq. Also, can I use openJDK (7) instead of Oracle JDK? Because I'm trying to setting up Cassandra
(trunk) with IDEA according to RunningCassandraInIDEA but it gives me a build failed error
when I execute ant generate-idea-files.

Generally you can, but you can probably save yourself few headaches by using Oracle JDK. It
would help if you posted the compiler error output to find out what's the problem. Also, for
more practical questions like this, #cassandra and/or #cassandra-dev on irc.freenode.net is
usually a better (and faster) forum.

bq. I'll try it again, once I have it setted up, I'll take a look along with other materials
CASSANDRA-8888 which seems more suitable to start with.

Sounds good. Make sure to post any comments/questions related to that ticket there.

> Add downgradesstables
> ---------------------
>
>                 Key: CASSANDRA-8928
>                 URL: https://issues.apache.org/jira/browse/CASSANDRA-8928
>             Project: Cassandra
>          Issue Type: New Feature
>          Components: Tools
>            Reporter: Jeremy Hanna
>            Priority: Minor
>              Labels: gsoc2016, mentor
>
> As mentioned in other places such as CASSANDRA-8047 and in the wild, sometimes you need
to go back.  A downgrade sstables utility would be nice for a lot of reasons and I don't know
that supporting going back to the previous major version format would be too much code since
we already support reading the previous version.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message